#!/usr/bin/env python
# -*- coding: utf-8 -*-

import wiringpi as pi
import time

def ArmShake(order):

    #Raspberry Pi のPIN番号
    servo_pin = 13
    servo_pin1 =12

    CYCLE = 20
    MIN_PULSE = 0.5
    MAX_PULSE = 2.4
    
    #動かせる角度の範囲
    MIN_DEG = 0
    MAX_DEG = 180
    RANGE = 2000
    
    n = 0
    count=0
    if order == "raise" :
             n = 171
             count=1#腕を動かす回数
    elif order == "lower":
             n = 49
             count=1#腕を動かす回数
    elif order =="wave":
             n = 171
             count =6#腕を動かす回数
    else:
        n = 0

    #動かしたい角度
    set_degree =n
    
    #腕の振る動作のループ
    for  s in range(1,count+1):
        if s % 2 ==0:
            set_degree =48
            
        clock = int( 19.2 / float(RANGE) * CYCLE * 1000 )
        min_val = RANGE * MIN_PULSE / CYCLE
        max_val = RANGE * MAX_PULSE / CYCLE

        pi.wiringPiSetupGpio()
        pi.pinMode( servo_pin, pi.GPIO.PWM_OUTPUT )
        pi.pinMode( servo_pin1, pi.GPIO.PWM_OUTPUT )
        pi.pwmSetMode( pi.GPIO.PWM_MODE_MS )
        pi.pwmSetRange( RANGE)
        pi.pwmSetClock( clock )

        if( set_degree <= MAX_DEG and set_degree >= MIN_DEG ):
            move_deg = int( ( max_val - min_val ) / MAX_DEG * set_degree )
            print(move_deg)
            pi.pwmWrite( servo_pin, move_deg )
            pi.pwmWrite( servo_pin1, move_deg )

            pi.wiringPiSetupGpio()

            #次の処理へ行く前に2秒止まる
            time.sleep(2)
            
        #腕を戻すする角度
        set_degree =n
        
    #サーボモータ解除
    pi.pwmWrite( servo_pin1,0)
    pi.wiringPiSetupGpio()

if __name__=="__main__":

    o_text ="wave"


    ArmShake(o_text)
